细水 2006.12.22

漏洞播报

McAfee NeoTrace ActiveX控件远程缓冲区溢出漏洞

发布日期:2006-12-21
更新日期:2006-12-22

受影响系统:

McAfee NeoTrace Professional 3.25
McAfee NeoTrace Express 3.25

描述:


BUGTRAQ  ID: 21697

NeoTrace是一款网络路迹追踪软件,可以显示从自己的电脑连接至网络的某网站所经过的ISP速率报告及IP位址。

NeoTrace Pro和NeoTrace Express的NeoTraceExplorer.NeoTraceLoader ActiveX控件(NeoTraceExplorer.dll)在创建用于调用NeoTrace应用的命令行时存在栈溢出漏洞,远程攻击者可能利用此漏洞在服务器上执行任意指令。

如果攻击者向TraceTarget()方式传送了大约500个字节的超长参数的话,就可以触发这个溢出,导致执行任意代码。

<*来源:Parvez Anwar
  
  链接:http://secunia.com/advisories/23463/
*>

建议:


厂商补丁:

McAfee
——
目前厂商还没有提供补丁或者升级程序,我们建议使用此软件的用户随时关注厂商的主页以获取最新版本:

http://www.networkingfiles.com/PingFinger/Neotrace.htm


您可以随意转载,但必须在显著位置标明 原创链接 和本 版权声明

本文链接: http://www.mcafeefans.com/?p=444

发表评论

电子邮件地址不会被公开。

:wink: :twisted: :roll: :mrgreen: 8) :-D :arrow: :-o more »

返回页首返回页尾